
Ruby - Bug #3776

mismatch of rdoc in array.c

09/01/2010 02:24 AM - dre3k (Andrei Kulakov)

Status: Closed   

Priority: Normal   

Assignee:    

Target version: 1.9.3   

ruby -v: trunk Backport:  

Description

=begin

--- array.c~ 2010-06-11 07:21:18.000000000 +0300

+++ array.c 2010-08-31 05:36:12.844565473 +0300

@@ -1897,7 +1897,7 @@

/*

call-seq:

ary.rotate([n = 1]) -> new_ary

ary.rotate([cnt = 1]) -> new_ary

Returns new array by rotating +self+, whose first element is the

element at +cnt+ in +self+.  If +cnt+ is negative then it rotates

=end

History

#1 - 09/01/2010 02:37 PM - naruse (Yui NARUSE)

- Status changed from Open to Closed

- % Done changed from 0 to 100

=begin

This issue was solved with changeset r29157.

Andrei, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

=end

Files

ary_rdoc.patch 365 Bytes 09/01/2010 dre3k (Andrei Kulakov)
